﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample118577.Models;
using System.Collections;
using Syncfusion.JavaScript.Web;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript.DataSources;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using MVCSampleBrowser.Models;
using Syncfusion.JavaScript;
using System.Net;
namespace Sample118577.Controllers
{
    public class GridController : Controller
    {
               
        public ActionResult GridFeatures()
        {
            ViewBag.datasource = OrderRepository.GetAllRecords().ToList();
            ViewData["EmployeeID"] = EmployeeID;
           
           return View();
        }
        public List<object> EmployeeID
        {
            get
            {
                var employeeID = OrderRepository.GetAllRecords().Select(s => s.ShipCountry).Distinct().ToList();
                var EmployeeID = new List<object>();
                foreach (var id in employeeID)
                {
                    EmployeeID.Add(new { value = id, text = id });
                }
                return EmployeeID;
            }
        }
        public ActionResult Update(EditableOrder value)
        {
              if (value != null)
                    OrderRepository.Update(value);
                var data = OrderRepository.GetAllRecords();
                return Json(data, JsonRequestBehavior.AllowGet);
            
        }
        public ActionResult Insert(EditableOrder value)
        {
           if (value != null)
                    OrderRepository.Add(value);
                var data = OrderRepository.GetAllRecords();
                return Json(data, JsonRequestBehavior.AllowGet);
            
       }
        public ActionResult Remove(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
 }
